## Restrict KB Access by User Role - Knowledgebase Addon

Are you looking for a way to manage and restrict knowledge base contents for specific types of users on your site? **Restrict KB Access by User Role - Knowledgebase Addon** provides that easy and awesome option to secure your knowledge base contents from global access.

Addon provides you with premium and flexible settings. With just a few clicks, you can modify or control the access to your knowledge base contents. You can hide all restricted knowledge base contents from global users, or you can display them with a small lock icon with a title to notify them about restricted items.

![Demo of Restrict KB Access by User Role - Knowledgebase Addon](https://xenioushk.github.io/docs-plugins-addon/bkbm-addon/rkb/screenshot/01_templify_kb.png)

Addon has an extensive options panel that allows you to manage **global restriction settings**, **restricted item display settings**, **lock icon display settings**, and **custom message** for locked content settings. Addon automatically manages your sidebar knowledge base contents, related knowledge base contents, and custom knowledge template contents.

Addon comes with Quick/Bulk and custom meta box options to set user roles. Administrator users can access all contents by default, and you can add more user roles with just a few clicks.

**It's super easy, fast, and powerful.**

[Demo](https://projects.bluewindlab.net/wpplugin/bkbm/) | [Download](https://bluewindlab.net/portfolio/restrict-kb-access-by-user-role-bwl-knowledge-base-manager-addon/) | [Documentation](https://xenioushk.github.io/docs-plugins-addon/bkbm-addon/rkb/index.html)

## Addon requirements

You need to install [BWL Knowledge Base Manager WordPress plugin](https://1.envato.market/bkbm-wp) to use the addon.

You need at least WordPress version 4.8+ installed for this plugin to work properly. It is strongly recommended that you always use the latest stable version of WordPress to ensure all known bugs and security issues are fixed.

## Technical requirements

- WordPress 5.6 or greater.
- PHP version 7.4 or greater.
- MySQL version 5.5.51 or greater.

## Installation

1. Go to plugins section in your WordPress admin panel and click `Add New` to install plugin.

   ![](https://xenioushk.github.io/docs-plugins-addon/bkbm-addon/rkb/screenshot/install-plugins-process.png)

2. Now, upload the `restrict-kb-by-user-role.zip` file.

3. Once plugin successfully uploaded in your server you will get an message to activate it. Click on `Activate Plugin` Link and plugin will be ready to use.

4. After activating plugins, you will redirect in plugins section of wp-admin panel and show new installed plugins information in there.
   ![](https://xenioushk.github.io/docs-plugins-addon/bkbm-addon/rkb/screenshot/installation.png)

## How to use

Once installation has been completed successfully, Addon automatically start handling Knowledge Base categories, tags and single post locked contents. Here goes the step by step process to lock a Knowledge Base Post.

**Step 1**

Go to `All KB Items`, and select A Knowledge Base post that you want to lock.
![All KB Items](https://xenioushk.github.io/docs-plugins-addon/bkbm-addon/rkb/screenshot/02_step_01_select_post_for_lock.png)

**Step 2**

At bottom of the Edit Page, you will find a section `BKB Access Restriction Settings`. In that section, you will get options to set Knowledge base post access restriction settings. Finally click save/update button.

![](https://xenioushk.github.io/docs-plugins-addon/bkbm-addon/rkb/screenshot/02_step_02_set_user_role.png)

**Step 3**

Restriction Output

![](https://xenioushk.github.io/docs-plugins-addon/bkbm-addon/rkb/screenshot/02_step_03_restriction_output.png)

### Quick/Bulk Edit Option

You can also use the `Quick/Bulk` Edit option to set restrictions for multiple posts. To do this, go to the `All KB Items` section, and then when you hover your mouse on any post, you will get a `Quick Edit` link. Click on it, and you will see an option to set access restrictions. Select your preferable option and click `Update`.

![Quick/Bulk Edit Option](https://xenioushk.github.io/docs-plugins-addon/bkbm-addon/rkb/screenshot/02_04_quick_edit.png)

For the `Bulk Edit`, select multiple posts, and then click 'Edit' from the top of the menu and click "Apply". You will get options to set `Access Restriction`. Select your preferable option and click update.

![Quick/Bulk Edit Option](https://xenioushk.github.io/docs-plugins-addon/bkbm-addon/rkb/screenshot/02_05_bulk_edit.png)

### Administrator Panel Filter Option

The Administrator panel allows you to filter posts by the `user role`. This provides you with a comprehensive overview of post access based on user roles. Also, in the custom column, you can see the Knowledge Base post `locked/unlocked` status.

![Administrator Panel Filter Option](https://xenioushk.github.io/docs-plugins-addon/bkbm-addon/rkb/screenshot/02_06_post_filter.png)

## Options panel

You can easily manage restriction from option panel. You can temporarily disable restriction for all Knowledge Base posts, display restricted posts with other KB posts, show/hide `Lock Icon` and set custom message for locked content. It's super easy to use.

![Options panel](https://xenioushk.github.io/docs-plugins-addon/bkbm-addon/rkb/screenshot/03_option_panel_output.png)

## Change log

- [Change log](https://xenioushk.github.io/docs-plugins-addon/bkbm-addon/rkb/index.html#changelog)

## Acknowledgement

- [bluewindlab.net](https://bluewindlab.net)
- [BWL KB Manager WordPress plugin](https://1.envato.market/bkbm-wp)
